class AgentModel {
  int? id;
  String? displayName;
  String? firstName;
  String? lastName;
  String? email;
  String? phone;
  String? thumbnail;
  String? countryCode;
  String? zip;
  String? mainLanguage;
  List<String>? secondaryLanguages;
  _ProblemType? problemType;

  AgentModel(
      {this.id,
      this.displayName,
      this.firstName,
      this.lastName,
      this.email,
      this.phone,
      this.thumbnail,
      this.countryCode,
      this.zip,
      this.mainLanguage,
      this.secondaryLanguages,
      this.problemType});

  AgentModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) this.id = json["id"];
    if (json["displayName"] is String) this.displayName = json["displayName"];
    if (json["firstName"] is String) this.firstName = json["firstName"];
    if (json["lastName"] is String) this.lastName = json["lastName"];
    if (json["email"] is String) this.email = json["email"];
    if (json["phone"] is String) this.phone = json["phone"];
    if (json["thumbnail"] is String) this.thumbnail = json["thumbnail"];
    if (json["countryCode"] is String) this.countryCode = json["countryCode"];
    if (json["zip"] is String) this.zip = json["zip"];
    if (json["mainLanguage"] is String)
      this.mainLanguage = json["mainLanguage"];
    if (json["secondaryLanguages"] is List)
      this.secondaryLanguages = json["secondaryLanguages"] == null
          ? null
          : List<String>.from(json["secondaryLanguages"]);
    if (json["problemType"] is Map)
      this.problemType = json["problemType"] == null
          ? null
          : _ProblemType.fromJson(json["problemType"]);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["displayName"] = this.displayName;
    data["firstName"] = this.firstName;
    data["lastName"] = this.lastName;
    data["email"] = this.email;
    data["phone"] = this.phone;
    data["thumbnail"] = this.thumbnail;
    data["countryCode"] = this.countryCode;
    data["zip"] = this.zip;
    data["mainLanguage"] = this.mainLanguage;
    if (this.secondaryLanguages != null)
      data["secondaryLanguages"] = this.secondaryLanguages;
    if (this.problemType != null)
      data["problemType"] = this.problemType?.toJson();
    return data;
  }
}

class _ProblemType {
  int? id;
  String? label;

  _ProblemType({this.id, this.label});

  _ProblemType.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) this.id = json["id"];
    if (json["label"] is String) this.label = json["label"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["label"] = this.label;
    return data;
  }
}
