class ListTimeFrameModel {
  late List<TimeFrames> timeFrames;
  String? utcModifier;

  ListTimeFrameModel({required this.timeFrames, required this.utcModifier});

  ListTimeFrameModel.fromJson(Map<String, dynamic> json) {
    if (json['timeFrames'] != null) {
      timeFrames = [];
      json['timeFrames'].forEach((v) {
        timeFrames.add(new TimeFrames.fromJson(v));
      });
    }
    utcModifier = json['utcModifier'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['timeFrames'] = this.timeFrames.map((v) => v.toJson()).toList();
    data['utcModifier'] = this.utcModifier;
    return data;
  }
}

class TimeFrames {
  late int timeFrame;
  late int booking;

  TimeFrames({required this.timeFrame, required this.booking});

  TimeFrames.fromJson(Map<String, dynamic> json) {
    timeFrame = json['timeFrame'];
    booking = json['booking'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['timeFrame'] = this.timeFrame;
    data['booking'] = this.booking;
    return data;
  }
}
