class HomeFiltersAvailable {
  num? maxPrice;
  num? minPrice;
  String? maxPriceFormat;
  String? minPriceFormat;
  String? currencySymbol;
  String? currency;
  num? maxArea;
  num? minArea;
  String? sizeUnit;
  List<HomeAttributes>? attributes;

  HomeFiltersAvailable(
      {this.maxPrice,
      this.minPrice,
      this.maxPriceFormat,
      this.minPriceFormat,
      this.currencySymbol,
      this.currency,
      this.maxArea,
      this.minArea,
      this.sizeUnit,
      this.attributes});

  HomeFiltersAvailable.fromJson(Map<String, dynamic> json) {
    maxPrice = json["maxPrice"];
    minPrice = json["minPrice"];
    maxPriceFormat = json["maxPriceFormat"];
    minPriceFormat = json["minPriceFormat"];
    currencySymbol = json["currencySymbol"];
    currency = json["currency"];
    maxArea = json["maxArea"];
    minArea = json["minArea"];
    sizeUnit = json["sizeUnit"];
    attributes = json["attributes"] == null
        ? null
        : (json["attributes"] as List)
            .map((e) => HomeAttributes.fromJson(e))
            .toList();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["maxPrice"] = maxPrice;
    _data["minPrice"] = minPrice;
    _data["maxPriceFormat"] = maxPriceFormat;
    _data["minPriceFormat"] = minPriceFormat;
    _data["currencySymbol"] = currencySymbol;
    _data["currency"] = currency;
    _data["maxArea"] = maxArea;
    _data["minArea"] = minArea;
    _data["sizeUnit"] = sizeUnit;
    if (attributes != null) {
      _data["attributes"] = attributes?.map((e) => e.toJson()).toList();
    }
    return _data;
  }

  HomeFiltersAvailable copyWith({
    int? maxPrice,
    int? minPrice,
    String? maxPriceFormat,
    String? minPriceFormat,
    String? currencySymbol,
    String? currency,
    int? maxArea,
    int? minArea,
    String? sizeUnit,
    List<HomeAttributes>? attributes,
  }) =>
      HomeFiltersAvailable(
        maxPrice: maxPrice ?? this.maxPrice,
        minPrice: minPrice ?? this.minPrice,
        maxPriceFormat: maxPriceFormat ?? this.maxPriceFormat,
        minPriceFormat: minPriceFormat ?? this.minPriceFormat,
        currencySymbol: currencySymbol ?? this.currencySymbol,
        currency: currency ?? this.currency,
        maxArea: maxArea ?? this.maxArea,
        minArea: minArea ?? this.minArea,
        sizeUnit: sizeUnit ?? this.sizeUnit,
        attributes: attributes ?? this.attributes,
      );
}

class HomeAttributes {
  int? id;
  String? name;
  String? description;
  HomeAttributesCollection? collection;

  HomeAttributes({this.id, this.name, this.description, this.collection});

  HomeAttributes.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    name = json["name"];
    description = json["description"];
    collection = json["collection"] == null
        ? null
        : HomeAttributesCollection.fromJson(json["collection"]);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["name"] = name;
    _data["description"] = description;
    if (collection != null) {
      _data["collection"] = collection?.toJson();
    }
    return _data;
  }

  HomeAttributes copyWith({
    int? id,
    String? name,
    String? description,
    HomeAttributesCollection? collection,
  }) =>
      HomeAttributes(
        id: id ?? this.id,
        name: name ?? this.name,
        description: description ?? this.description,
        collection: collection ?? this.collection,
      );
}

class HomeAttributesCollection {
  int? id;
  String? label;

  HomeAttributesCollection({this.id, this.label});

  HomeAttributesCollection.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    label = json["label"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["label"] = label;
    return _data;
  }

  HomeAttributesCollection copyWith({
    int? id,
    String? label,
  }) =>
      HomeAttributesCollection(
        id: id ?? this.id,
        label: label ?? this.label,
      );
}
