class PaymentRequestModel {
  int? cardId;
  late double amount;
  late String currency;
  late String qrCode;
  late int commissionId;
  late int? deliveryLocationId;
  late String proUniqueId;
  String? shopUniqueId;
  String? paymentMethodId;
  String? tokenId;
  String? ticketUniqueId;
  late int purchaseType;
  PaymentRequestModel(
      {this.cardId,
      this.paymentMethodId,
      this.tokenId,
      this.ticketUniqueId,
      required this.purchaseType,
      required this.amount,
      required this.currency,
      required this.qrCode,
      required this.commissionId,
      required this.deliveryLocationId,
      required this.proUniqueId,
      this.shopUniqueId});

  PaymentRequestModel.fromJson(Map<String, dynamic> json) {
    cardId = json['cardId'];
    paymentMethodId = json['paymentMethodId'];
    tokenId = json['tokenId'];
    amount = json['amount'];
    currency = json['currency'];
    qrCode = json['qrCode'];
    commissionId = json['commissionId'];
    deliveryLocationId = json['deliveryLocationId'];
    proUniqueId = json['proUniqueId'];
    shopUniqueId = json['shopUniqueId'] ?? 0;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.cardId != null) data['cardId'] = this.cardId;
    if (this.paymentMethodId != null) data['paymentMethodId'] = this.paymentMethodId;
    if (this.tokenId != null) data['tokenId'] = this.tokenId;
    data['amount'] = this.amount;
    data['purchaseType'] = this.purchaseType;
    data['currency'] = this.currency;
    data['qrCode'] = this.qrCode;
    data['commissionId'] = this.commissionId;
    data['deliveryLocationId'] = this.deliveryLocationId;
    data['proUniqueId'] = this.proUniqueId;
    data['shopUniqueId'] = this.shopUniqueId;
    data['ticketUniqueId'] = this.ticketUniqueId;
    return data;
  }
}
