class TheMoviePersonCredit {
  List<TheMoviePersonCast>? cast;
  List<TheMoviePersonCrew>? crew;
  int? id;

  TheMoviePersonCredit({this.cast, this.crew, this.id});

  TheMoviePersonCredit.fromJson(Map<String, dynamic> json) {
    cast = json["cast"] == null
        ? null
        : (json["cast"] as List)
            .map((e) => TheMoviePersonCast.fromJson(e))
            .toList();
    crew = json["crew"] == null
        ? null
        : (json["crew"] as List)
            .map((e) => TheMoviePersonCrew.fromJson(e))
            .toList();
    id = json["id"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    if (cast != null) {
      _data["cast"] = cast?.map((e) => e.toJson()).toList();
    }
    if (crew != null) {
      _data["crew"] = crew?.map((e) => e.toJson()).toList();
    }
    _data["id"] = id;
    return _data;
  }

  TheMoviePersonCredit copyWith({
    List<TheMoviePersonCast>? cast,
    List<TheMoviePersonCrew>? crew,
    int? id,
  }) =>
      TheMoviePersonCredit(
        cast: cast ?? this.cast,
        crew: crew ?? this.crew,
        id: id ?? this.id,
      );
}

class TheMoviePersonCrew {
  int? id;
  String? department;
  String? originalLanguage;
  String? originalTitle;
  String? job;
  String? overview;
  int? voteCount;
  bool? video;
  String? posterPath;
  String? backdropPath;
  String? title;
  num? popularity;
  List<int>? genreIds;
  num? voteAverage;
  bool? adult;
  String? releaseDate;
  String? creditId;

  TheMoviePersonCrew(
      {this.id,
      this.department,
      this.originalLanguage,
      this.originalTitle,
      this.job,
      this.overview,
      this.voteCount,
      this.video,
      this.posterPath,
      this.backdropPath,
      this.title,
      this.popularity,
      this.genreIds,
      this.voteAverage,
      this.adult,
      this.releaseDate,
      this.creditId});

  TheMoviePersonCrew.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    department = json["department"];
    originalLanguage = json["original_language"];
    originalTitle = json["original_title"];
    job = json["job"];
    overview = json["overview"];
    voteCount = json["vote_count"];
    video = json["video"];
    posterPath = json["poster_path"];
    backdropPath = json["backdrop_path"];
    title = json["title"];
    popularity = json["popularity"];
    genreIds =
        json["genre_ids"] == null ? null : List<int>.from(json["genre_ids"]);
    voteAverage = json["vote_average"];
    adult = json["adult"];
    releaseDate = json["release_date"];
    creditId = json["credit_id"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["department"] = department;
    _data["original_language"] = originalLanguage;
    _data["original_title"] = originalTitle;
    _data["job"] = job;
    _data["overview"] = overview;
    _data["vote_count"] = voteCount;
    _data["video"] = video;
    _data["poster_path"] = posterPath;
    _data["backdrop_path"] = backdropPath;
    _data["title"] = title;
    _data["popularity"] = popularity;
    if (genreIds != null) {
      _data["genre_ids"] = genreIds;
    }
    _data["vote_average"] = voteAverage;
    _data["adult"] = adult;
    _data["release_date"] = releaseDate;
    _data["credit_id"] = creditId;
    return _data;
  }

  TheMoviePersonCrew copyWith({
    int? id,
    String? department,
    String? originalLanguage,
    String? originalTitle,
    String? job,
    String? overview,
    int? voteCount,
    bool? video,
    String? posterPath,
    String? backdropPath,
    String? title,
    num? popularity,
    List<int>? genreIds,
    num? voteAverage,
    bool? adult,
    String? releaseDate,
    String? creditId,
  }) =>
      TheMoviePersonCrew(
        id: id ?? this.id,
        department: department ?? this.department,
        originalLanguage: originalLanguage ?? this.originalLanguage,
        originalTitle: originalTitle ?? this.originalTitle,
        job: job ?? this.job,
        overview: overview ?? this.overview,
        voteCount: voteCount ?? this.voteCount,
        video: video ?? this.video,
        posterPath: posterPath ?? this.posterPath,
        backdropPath: backdropPath ?? this.backdropPath,
        title: title ?? this.title,
        popularity: popularity ?? this.popularity,
        genreIds: genreIds ?? this.genreIds,
        voteAverage: voteAverage ?? this.voteAverage,
        adult: adult ?? this.adult,
        releaseDate: releaseDate ?? this.releaseDate,
        creditId: creditId ?? this.creditId,
      );
}

class TheMoviePersonCast {
  String? character;
  String? creditId;
  String? releaseDate;
  int? voteCount;
  bool? video;
  bool? adult;
  num? voteAverage;
  String? title;
  List<int>? genreIds;
  String? originalLanguage;
  String? originalTitle;
  num? popularity;
  int? id;
  String? backdropPath;
  String? overview;
  String? posterPath;

  TheMoviePersonCast(
      {this.character,
      this.creditId,
      this.releaseDate,
      this.voteCount,
      this.video,
      this.adult,
      this.voteAverage,
      this.title,
      this.genreIds,
      this.originalLanguage,
      this.originalTitle,
      this.popularity,
      this.id,
      this.backdropPath,
      this.overview,
      this.posterPath});

  TheMoviePersonCast.fromJson(Map<String, dynamic> json) {
    character = json["character"];
    creditId = json["credit_id"];
    releaseDate = json["release_date"];
    voteCount = json["vote_count"];
    video = json["video"];
    adult = json["adult"];
    voteAverage = json["vote_average"];
    title = json["title"];
    genreIds =
        json["genre_ids"] == null ? null : List<int>.from(json["genre_ids"]);
    originalLanguage = json["original_language"];
    originalTitle = json["original_title"];
    popularity = json["popularity"];
    id = json["id"];
    backdropPath = json["backdrop_path"];
    overview = json["overview"];
    posterPath = json["poster_path"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["character"] = character;
    _data["credit_id"] = creditId;
    _data["release_date"] = releaseDate;
    _data["vote_count"] = voteCount;
    _data["video"] = video;
    _data["adult"] = adult;
    _data["vote_average"] = voteAverage;
    _data["title"] = title;
    if (genreIds != null) {
      _data["genre_ids"] = genreIds;
    }
    _data["original_language"] = originalLanguage;
    _data["original_title"] = originalTitle;
    _data["popularity"] = popularity;
    _data["id"] = id;
    _data["backdrop_path"] = backdropPath;
    _data["overview"] = overview;
    _data["poster_path"] = posterPath;
    return _data;
  }

  TheMoviePersonCast copyWith({
    String? character,
    String? creditId,
    String? releaseDate,
    int? voteCount,
    bool? video,
    bool? adult,
    num? voteAverage,
    String? title,
    List<int>? genreIds,
    String? originalLanguage,
    String? originalTitle,
    num? popularity,
    int? id,
    String? backdropPath,
    String? overview,
    String? posterPath,
  }) =>
      TheMoviePersonCast(
        character: character ?? this.character,
        creditId: creditId ?? this.creditId,
        releaseDate: releaseDate ?? this.releaseDate,
        voteCount: voteCount ?? this.voteCount,
        video: video ?? this.video,
        adult: adult ?? this.adult,
        voteAverage: voteAverage ?? this.voteAverage,
        title: title ?? this.title,
        genreIds: genreIds ?? this.genreIds,
        originalLanguage: originalLanguage ?? this.originalLanguage,
        originalTitle: originalTitle ?? this.originalTitle,
        popularity: popularity ?? this.popularity,
        id: id ?? this.id,
        backdropPath: backdropPath ?? this.backdropPath,
        overview: overview ?? this.overview,
        posterPath: posterPath ?? this.posterPath,
      );
}
