class TheMoviePersonDetail {
  String? birthday;
  String? knownForDepartment;
  dynamic deathday;
  int? id;
  String? name;
  List<String>? alsoKnownAs;
  int? gender;
  String? biography;
  num? popularity;
  String? placeOfBirth;
  String? profilePath;
  bool? adult;
  String? imdbId;
  dynamic homepage;

  TheMoviePersonDetail(
      {this.birthday,
      this.knownForDepartment,
      this.deathday,
      this.id,
      this.name,
      this.alsoKnownAs,
      this.gender,
      this.biography,
      this.popularity,
      this.placeOfBirth,
      this.profilePath,
      this.adult,
      this.imdbId,
      this.homepage});

  TheMoviePersonDetail.fromJson(Map<String, dynamic> json) {
    birthday = json["birthday"];
    knownForDepartment = json["known_for_department"];
    deathday = json["deathday"];
    id = json["id"];
    name = json["name"];
    alsoKnownAs = json["also_known_as"] == null
        ? null
        : List<String>.from(json["also_known_as"]);
    gender = json["gender"];
    biography = json["biography"];
    popularity = json["popularity"];
    placeOfBirth = json["place_of_birth"];
    profilePath = json["profile_path"];
    adult = json["adult"];
    imdbId = json["imdb_id"];
    homepage = json["homepage"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["birthday"] = birthday;
    _data["known_for_department"] = knownForDepartment;
    _data["deathday"] = deathday;
    _data["id"] = id;
    _data["name"] = name;
    if (alsoKnownAs != null) {
      _data["also_known_as"] = alsoKnownAs;
    }
    _data["gender"] = gender;
    _data["biography"] = biography;
    _data["popularity"] = popularity;
    _data["place_of_birth"] = placeOfBirth;
    _data["profile_path"] = profilePath;
    _data["adult"] = adult;
    _data["imdb_id"] = imdbId;
    _data["homepage"] = homepage;
    return _data;
  }

  TheMoviePersonDetail copyWith({
    String? birthday,
    String? knownForDepartment,
    dynamic deathday,
    int? id,
    String? name,
    List<String>? alsoKnownAs,
    int? gender,
    String? biography,
    num? popularity,
    String? placeOfBirth,
    String? profilePath,
    bool? adult,
    String? imdbId,
    dynamic homepage,
  }) =>
      TheMoviePersonDetail(
        birthday: birthday ?? this.birthday,
        knownForDepartment: knownForDepartment ?? this.knownForDepartment,
        deathday: deathday ?? this.deathday,
        id: id ?? this.id,
        name: name ?? this.name,
        alsoKnownAs: alsoKnownAs ?? this.alsoKnownAs,
        gender: gender ?? this.gender,
        biography: biography ?? this.biography,
        popularity: popularity ?? this.popularity,
        placeOfBirth: placeOfBirth ?? this.placeOfBirth,
        profilePath: profilePath ?? this.profilePath,
        adult: adult ?? this.adult,
        imdbId: imdbId ?? this.imdbId,
        homepage: homepage ?? this.homepage,
      );
}
