class Token {
  dynamic? accessToken;
  dynamic? refreshToken;
  int? waitForApproval;
  String? qrCode;
  Mqtt? mqtt;

  Token({
    this.accessToken,
    this.refreshToken,
    this.waitForApproval,
    this.qrCode,
    this.mqtt,
  });

  Token.fromJson(Map<String, dynamic> json) {
    this.accessToken = json["accessToken"];
    this.refreshToken = json["refreshToken"];
    if (json["waitForApproval"] is int)
      this.waitForApproval = json["waitForApproval"];
    if (json["qrCode"] is String) this.qrCode = json["qrCode"];
    if (json["mqtt"] is Map)
      this.mqtt = json["mqtt"] == null ? null : Mqtt.fromJson(json["mqtt"]);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["accessToken"] = this.accessToken;
    data["refreshToken"] = this.refreshToken;
    data["waitForApproval"] = this.waitForApproval;
    data["qrCode"] = this.qrCode;
    if (this.mqtt != null) data["mqtt"] = this.mqtt?.toJson();
    return data;
  }
}

class Mqtt {
  String? channel;
  String? clientId;
  String? username;
  String? password;

  Mqtt({this.channel, this.clientId, this.username, this.password});

  Mqtt.fromJson(Map<String, dynamic> json) {
    if (json["channel"] is String) this.channel = json["channel"];
    if (json["clientId"] is String) this.clientId = json["clientId"];
    if (json["username"] is String) this.username = json["username"];
    if (json["password"] is String) this.password = json["password"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["channel"] = this.channel;
    data["clientId"] = this.clientId;
    data["username"] = this.username;
    data["password"] = this.password;
    return data;
  }
}
