class VimeoConfig {
  String? cdnUrl;
  String? vimeoApiUrl;
  Request? request;
  String? playerUrl;
  Video? video;
  VimeoUser? user;
  Seo? seo;
  Embed? embed;
  int? view;
  String? vimeoUrl;

  VimeoConfig(
      {this.cdnUrl,
      this.vimeoApiUrl,
      this.request,
      this.playerUrl,
      this.video,
      this.user,
      this.seo,
      this.embed,
      this.view,
      this.vimeoUrl});

  VimeoConfig.fromJson(Map<String, dynamic> json) {
    if (json["cdn_url"] is String) this.cdnUrl = json["cdn_url"];
    if (json["vimeo_api_url"] is String)
      this.vimeoApiUrl = json["vimeo_api_url"];
    if (json["request"] is Map)
      this.request =
          json["request"] == null ? null : Request.fromJson(json["request"]);
    if (json["player_url"] is String) this.playerUrl = json["player_url"];
    if (json["video"] is Map)
      this.video = json["video"] == null ? null : Video.fromJson(json["video"]);
    if (json["user"] is Map)
      this.user =
          json["user"] == null ? null : VimeoUser.fromJson(json["user"]);
    if (json["seo"] is Map)
      this.seo = json["seo"] == null ? null : Seo.fromJson(json["seo"]);
    if (json["embed"] is Map)
      this.embed = json["embed"] == null ? null : Embed.fromJson(json["embed"]);
    if (json["view"] is int) this.view = json["view"];
    if (json["vimeo_url"] is String) this.vimeoUrl = json["vimeo_url"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["cdn_url"] = this.cdnUrl;
    data["vimeo_api_url"] = this.vimeoApiUrl;
    if (this.request != null) data["request"] = this.request?.toJson();
    data["player_url"] = this.playerUrl;
    if (this.video != null) data["video"] = this.video?.toJson();
    if (this.user != null) data["user"] = this.user?.toJson();
    if (this.seo != null) data["seo"] = this.seo?.toJson();
    if (this.embed != null) data["embed"] = this.embed?.toJson();
    data["view"] = this.view;
    data["vimeo_url"] = this.vimeoUrl;
    return data;
  }
}

class Embed {
  int? autopause;
  int? playsinline;
  VimeoSettings? settings;
  String? color;
  String? texttrack;
  int? onSite;
  String? appId;
  int? muted;
  int? dnt;
  String? playerId;
  dynamic? api;
  bool? editor;
  String? context;
  int? keyboard;
  String? outro;
  int? transparent;
  int? logPlays;
  dynamic? quality;
  int? time;
  int? loop;
  int? autoplay;

  Embed(
      {this.autopause,
      this.playsinline,
      this.settings,
      this.color,
      this.texttrack,
      this.onSite,
      this.appId,
      this.muted,
      this.dnt,
      this.playerId,
      this.api,
      this.editor,
      this.context,
      this.keyboard,
      this.outro,
      this.transparent,
      this.logPlays,
      this.quality,
      this.time,
      this.loop,
      this.autoplay});

  Embed.fromJson(Map<String, dynamic> json) {
    if (json["autopause"] is int) this.autopause = json["autopause"];
    if (json["playsinline"] is int) this.playsinline = json["playsinline"];
    if (json["settings"] is Map)
      this.settings = json["settings"] == null
          ? null
          : VimeoSettings.fromJson(json["settings"]);
    if (json["color"] is String) this.color = json["color"];
    if (json["texttrack"] is String) this.texttrack = json["texttrack"];
    if (json["on_site"] is int) this.onSite = json["on_site"];
    if (json["app_id"] is String) this.appId = json["app_id"];
    if (json["muted"] is int) this.muted = json["muted"];
    if (json["dnt"] is int) this.dnt = json["dnt"];
    if (json["player_id"] is String) this.playerId = json["player_id"];
    this.api = json["api"];
    if (json["editor"] is bool) this.editor = json["editor"];
    if (json["context"] is String) this.context = json["context"];
    if (json["keyboard"] is int) this.keyboard = json["keyboard"];
    if (json["outro"] is String) this.outro = json["outro"];
    if (json["transparent"] is int) this.transparent = json["transparent"];
    if (json["log_plays"] is int) this.logPlays = json["log_plays"];
    this.quality = json["quality"];
    if (json["time"] is int) this.time = json["time"];
    if (json["loop"] is int) this.loop = json["loop"];
    if (json["autoplay"] is int) this.autoplay = json["autoplay"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["autopause"] = this.autopause;
    data["playsinline"] = this.playsinline;
    if (this.settings != null) data["settings"] = this.settings?.toJson();
    data["color"] = this.color;
    data["texttrack"] = this.texttrack;
    data["on_site"] = this.onSite;
    data["app_id"] = this.appId;
    data["muted"] = this.muted;
    data["dnt"] = this.dnt;
    data["player_id"] = this.playerId;
    data["api"] = this.api;
    data["editor"] = this.editor;
    data["context"] = this.context;
    data["keyboard"] = this.keyboard;
    data["outro"] = this.outro;
    data["transparent"] = this.transparent;
    data["log_plays"] = this.logPlays;
    data["quality"] = this.quality;
    data["time"] = this.time;
    data["loop"] = this.loop;
    data["autoplay"] = this.autoplay;
    return data;
  }
}

class VimeoSettings {
  int? fullscreen;
  int? byline;
  int? like;
  int? playbar;
  int? title;
  int? color;
  int? speed;
  int? watchLater;
  int? share;
  int? scaling;
  int? spatialCompass;
  int? collections;
  int? portrait;
  int? logo;
  int? embed;
  Badge? badge;
  int? spatialLabel;
  int? volume;

  VimeoSettings(
      {this.fullscreen,
      this.byline,
      this.like,
      this.playbar,
      this.title,
      this.color,
      this.speed,
      this.watchLater,
      this.share,
      this.scaling,
      this.spatialCompass,
      this.collections,
      this.portrait,
      this.logo,
      this.embed,
      this.badge,
      this.spatialLabel,
      this.volume});

  VimeoSettings.fromJson(Map<String, dynamic> json) {
    if (json["fullscreen"] is int) this.fullscreen = json["fullscreen"];
    if (json["byline"] is int) this.byline = json["byline"];
    if (json["like"] is int) this.like = json["like"];
    if (json["playbar"] is int) this.playbar = json["playbar"];
    if (json["title"] is int) this.title = json["title"];
    if (json["color"] is int) this.color = json["color"];
    if (json["speed"] is int) this.speed = json["speed"];
    if (json["watch_later"] is int) this.watchLater = json["watch_later"];
    if (json["share"] is int) this.share = json["share"];
    if (json["scaling"] is int) this.scaling = json["scaling"];
    if (json["spatial_compass"] is int)
      this.spatialCompass = json["spatial_compass"];
    if (json["collections"] is int) this.collections = json["collections"];
    if (json["portrait"] is int) this.portrait = json["portrait"];
    if (json["logo"] is int) this.logo = json["logo"];
    if (json["embed"] is int) this.embed = json["embed"];
    if (json["badge"] is Map)
      this.badge = json["badge"] == null ? null : Badge.fromJson(json["badge"]);
    if (json["spatial_label"] is int) this.spatialLabel = json["spatial_label"];
    if (json["volume"] is int) this.volume = json["volume"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["fullscreen"] = this.fullscreen;
    data["byline"] = this.byline;
    data["like"] = this.like;
    data["playbar"] = this.playbar;
    data["title"] = this.title;
    data["color"] = this.color;
    data["speed"] = this.speed;
    data["watch_later"] = this.watchLater;
    data["share"] = this.share;
    data["scaling"] = this.scaling;
    data["spatial_compass"] = this.spatialCompass;
    data["collections"] = this.collections;
    data["portrait"] = this.portrait;
    data["logo"] = this.logo;
    data["embed"] = this.embed;
    if (this.badge != null) data["badge"] = this.badge?.toJson();
    data["spatial_label"] = this.spatialLabel;
    data["volume"] = this.volume;
    return data;
  }
}

class Badge {
  String? name;
  String? img;
  String? svg;
  int? height;
  int? width;
  String? link;
  String? img2X;
  String? margin;
  int? id;

  Badge(
      {this.name,
      this.img,
      this.svg,
      this.height,
      this.width,
      this.link,
      this.img2X,
      this.margin,
      this.id});

  Badge.fromJson(Map<String, dynamic> json) {
    if (json["name"] is String) this.name = json["name"];
    if (json["img"] is String) this.img = json["img"];
    if (json["svg"] is String) this.svg = json["svg"];
    if (json["height"] is int) this.height = json["height"];
    if (json["width"] is int) this.width = json["width"];
    if (json["link"] is String) this.link = json["link"];
    if (json["img_2x"] is String) this.img2X = json["img_2x"];
    if (json["margin"] is String) this.margin = json["margin"];
    if (json["id"] is int) this.id = json["id"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["name"] = this.name;
    data["img"] = this.img;
    data["svg"] = this.svg;
    data["height"] = this.height;
    data["width"] = this.width;
    data["link"] = this.link;
    data["img_2x"] = this.img2X;
    data["margin"] = this.margin;
    data["id"] = this.id;
    return data;
  }
}

class Seo {
  String? uploadDate;
  String? embedUrl;
  String? description;
  String? thumbnail;

  Seo({this.uploadDate, this.embedUrl, this.description, this.thumbnail});

  Seo.fromJson(Map<String, dynamic> json) {
    if (json["upload_date"] is String) this.uploadDate = json["upload_date"];
    if (json["embed_url"] is String) this.embedUrl = json["embed_url"];
    if (json["description"] is String) this.description = json["description"];
    if (json["thumbnail"] is String) this.thumbnail = json["thumbnail"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["upload_date"] = this.uploadDate;
    data["embed_url"] = this.embedUrl;
    data["description"] = this.description;
    data["thumbnail"] = this.thumbnail;
    return data;
  }
}

class VimeoUser {
  int? teamOriginUserId;
  int? liked;
  String? accountType;
  dynamic? vimeoApiClientToken;
  dynamic? vimeoApiInteractionTokens;
  int? teamId;
  int? watchLater;
  int? owner;
  int? id;
  int? mod;
  int? privateModeEnabled;
  int? loggedIn;

  VimeoUser(
      {this.teamOriginUserId,
      this.liked,
      this.accountType,
      this.vimeoApiClientToken,
      this.vimeoApiInteractionTokens,
      this.teamId,
      this.watchLater,
      this.owner,
      this.id,
      this.mod,
      this.privateModeEnabled,
      this.loggedIn});

  VimeoUser.fromJson(Map<String, dynamic> json) {
    if (json["team_origin_user_id"] is int)
      this.teamOriginUserId = json["team_origin_user_id"];
    if (json["liked"] is int) this.liked = json["liked"];
    if (json["account_type"] is String) this.accountType = json["account_type"];
    this.vimeoApiClientToken = json["vimeo_api_client_token"];
    this.vimeoApiInteractionTokens = json["vimeo_api_interaction_tokens"];
    if (json["team_id"] is int) this.teamId = json["team_id"];
    if (json["watch_later"] is int) this.watchLater = json["watch_later"];
    if (json["owner"] is int) this.owner = json["owner"];
    if (json["id"] is int) this.id = json["id"];
    if (json["mod"] is int) this.mod = json["mod"];
    if (json["private_mode_enabled"] is int)
      this.privateModeEnabled = json["private_mode_enabled"];
    if (json["logged_in"] is int) this.loggedIn = json["logged_in"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["team_origin_user_id"] = this.teamOriginUserId;
    data["liked"] = this.liked;
    data["account_type"] = this.accountType;
    data["vimeo_api_client_token"] = this.vimeoApiClientToken;
    data["vimeo_api_interaction_tokens"] = this.vimeoApiInteractionTokens;
    data["team_id"] = this.teamId;
    data["watch_later"] = this.watchLater;
    data["owner"] = this.owner;
    data["id"] = this.id;
    data["mod"] = this.mod;
    data["private_mode_enabled"] = this.privateModeEnabled;
    data["logged_in"] = this.loggedIn;
    return data;
  }
}

class Video {
  Rating? rating;
  Version? version;
  int? height;
  int? duration;
  // Thumbs? thumbs;
  VimeoOwner? owner;
  int? id;
  String? embedCode;
  String? title;
  String? shareUrl;
  int? width;
  String? embedPermission;
  int? fps;
  int? spatial;
  dynamic? liveEvent;
  int? allowHd;
  int? hd;
  dynamic? lang;
  int? defaultToHd;
  String? url;
  String? privacy;
  dynamic? unlistedHash;

  Video(
      {this.rating,
      this.version,
      this.height,
      this.duration,
      // this.thumbs,
      this.owner,
      this.id,
      this.embedCode,
      this.title,
      this.shareUrl,
      this.width,
      this.embedPermission,
      this.fps,
      this.spatial,
      this.liveEvent,
      this.allowHd,
      this.hd,
      this.lang,
      this.defaultToHd,
      this.url,
      this.privacy,
      this.unlistedHash});

  Video.fromJson(Map<String, dynamic> json) {
    if (json["rating"] is Map)
      this.rating =
          json["rating"] == null ? null : Rating.fromJson(json["rating"]);
    if (json["version"] is Map)
      this.version =
          json["version"] == null ? null : Version.fromJson(json["version"]);
    if (json["height"] is int) this.height = json["height"];
    if (json["duration"] is int) this.duration = json["duration"];
    // if (json["thumbs"] is Map)
    //   this.thumbs =
    //       json["thumbs"] == null ? null : Thumbs.fromJson(json["thumbs"]);
    if (json["owner"] is Map)
      this.owner =
          json["owner"] == null ? null : VimeoOwner.fromJson(json["owner"]);
    if (json["id"] is int) this.id = json["id"];
    if (json["embed_code"] is String) this.embedCode = json["embed_code"];
    if (json["title"] is String) this.title = json["title"];
    if (json["share_url"] is String) this.shareUrl = json["share_url"];
    if (json["width"] is int) this.width = json["width"];
    if (json["embed_permission"] is String)
      this.embedPermission = json["embed_permission"];
    if (json["fps"] is int) this.fps = json["fps"];
    if (json["spatial"] is int) this.spatial = json["spatial"];
    this.liveEvent = json["live_event"];
    if (json["allow_hd"] is int) this.allowHd = json["allow_hd"];
    if (json["hd"] is int) this.hd = json["hd"];
    this.lang = json["lang"];
    if (json["default_to_hd"] is int) this.defaultToHd = json["default_to_hd"];
    if (json["url"] is String) this.url = json["url"];
    if (json["privacy"] is String) this.privacy = json["privacy"];
    this.unlistedHash = json["unlisted_hash"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.rating != null) data["rating"] = this.rating?.toJson();
    if (this.version != null) data["version"] = this.version?.toJson();
    data["height"] = this.height;
    data["duration"] = this.duration;
    // if (this.thumbs != null) data["thumbs"] = this.thumbs?.toJson();
    if (this.owner != null) data["owner"] = this.owner?.toJson();
    data["id"] = this.id;
    data["embed_code"] = this.embedCode;
    data["title"] = this.title;
    data["share_url"] = this.shareUrl;
    data["width"] = this.width;
    data["embed_permission"] = this.embedPermission;
    data["fps"] = this.fps;
    data["spatial"] = this.spatial;
    data["live_event"] = this.liveEvent;
    data["allow_hd"] = this.allowHd;
    data["hd"] = this.hd;
    data["lang"] = this.lang;
    data["default_to_hd"] = this.defaultToHd;
    data["url"] = this.url;
    data["privacy"] = this.privacy;
    data["unlisted_hash"] = this.unlistedHash;
    return data;
  }
}

class VimeoOwner {
  String? accountType;
  String? name;
  String? img;
  String? url;
  String? img2X;
  int? id;

  VimeoOwner(
      {this.accountType, this.name, this.img, this.url, this.img2X, this.id});

  VimeoOwner.fromJson(Map<String, dynamic> json) {
    if (json["account_type"] is String) this.accountType = json["account_type"];
    if (json["name"] is String) this.name = json["name"];
    if (json["img"] is String) this.img = json["img"];
    if (json["url"] is String) this.url = json["url"];
    if (json["img_2x"] is String) this.img2X = json["img_2x"];
    if (json["id"] is int) this.id = json["id"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["account_type"] = this.accountType;
    data["name"] = this.name;
    data["img"] = this.img;
    data["url"] = this.url;
    data["img_2x"] = this.img2X;
    data["id"] = this.id;
    return data;
  }
}

class Version {
  dynamic? current;
  dynamic? available;

  Version({this.current, this.available});

  Version.fromJson(Map<String, dynamic> json) {
    this.current = json["current"];
    this.available = json["available"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["current"] = this.current;
    data["available"] = this.available;
    return data;
  }
}

class Rating {
  int? id;

  Rating({this.id});

  Rating.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) this.id = json["id"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    return data;
  }
}

class Request {
  Files? files;
  String? lang;
  Sentry? sentry;
  ThumbPreview? thumbPreview;
  dynamic? referrer;
  String? cookieDomain;
  int? timestamp;
  GcDebug? gcDebug;
  int? expires;
  List<TextTracks>? textTracks;
  Client? client;
  String? currency;
  String? session;
  Cookie? cookie;
  Build? build;
  Urls? urls;
  String? signature;
  Flags? flags;
  String? country;
  FileCodecs? fileCodecs;
  AbTests? abTests;

  Request(
      {this.files,
      this.lang,
      this.sentry,
      this.thumbPreview,
      this.referrer,
      this.cookieDomain,
      this.timestamp,
      this.gcDebug,
      this.expires,
      this.textTracks,
      this.client,
      this.currency,
      this.session,
      this.cookie,
      this.build,
      this.urls,
      this.signature,
      this.flags,
      this.country,
      this.fileCodecs,
      this.abTests});

  Request.fromJson(Map<String, dynamic> json) {
    if (json["files"] is Map)
      this.files = json["files"] == null ? null : Files.fromJson(json["files"]);
    if (json["lang"] is String) this.lang = json["lang"];
    if (json["sentry"] is Map)
      this.sentry =
          json["sentry"] == null ? null : Sentry.fromJson(json["sentry"]);
    if (json["thumb_preview"] is Map)
      this.thumbPreview = json["thumb_preview"] == null
          ? null
          : ThumbPreview.fromJson(json["thumb_preview"]);
    this.referrer = json["referrer"];
    if (json["cookie_domain"] is String)
      this.cookieDomain = json["cookie_domain"];
    if (json["timestamp"] is int) this.timestamp = json["timestamp"];
    if (json["gc_debug"] is Map)
      this.gcDebug =
          json["gc_debug"] == null ? null : GcDebug.fromJson(json["gc_debug"]);
    if (json["expires"] is int) this.expires = json["expires"];
    if (json["text_tracks"] is List)
      this.textTracks = json["text_tracks"] == null
          ? null
          : (json["text_tracks"] as List)
              .map((e) => TextTracks.fromJson(e))
              .toList();
    if (json["client"] is Map)
      this.client =
          json["client"] == null ? null : Client.fromJson(json["client"]);
    if (json["currency"] is String) this.currency = json["currency"];
    if (json["session"] is String) this.session = json["session"];
    if (json["cookie"] is Map)
      this.cookie =
          json["cookie"] == null ? null : Cookie.fromJson(json["cookie"]);
    if (json["build"] is Map)
      this.build = json["build"] == null ? null : Build.fromJson(json["build"]);
    if (json["urls"] is Map)
      this.urls = json["urls"] == null ? null : Urls.fromJson(json["urls"]);
    if (json["signature"] is String) this.signature = json["signature"];
    if (json["flags"] is Map)
      this.flags = json["flags"] == null ? null : Flags.fromJson(json["flags"]);
    if (json["country"] is String) this.country = json["country"];
    if (json["file_codecs"] is Map)
      this.fileCodecs = json["file_codecs"] == null
          ? null
          : FileCodecs.fromJson(json["file_codecs"]);
    if (json["ab_tests"] is Map)
      this.abTests =
          json["ab_tests"] == null ? null : AbTests.fromJson(json["ab_tests"]);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.files != null) data["files"] = this.files?.toJson();
    data["lang"] = this.lang;
    if (this.sentry != null) data["sentry"] = this.sentry?.toJson();
    if (this.thumbPreview != null)
      data["thumb_preview"] = this.thumbPreview?.toJson();
    data["referrer"] = this.referrer;
    data["cookie_domain"] = this.cookieDomain;
    data["timestamp"] = this.timestamp;
    if (this.gcDebug != null) data["gc_debug"] = this.gcDebug?.toJson();
    data["expires"] = this.expires;
    if (this.textTracks != null)
      data["text_tracks"] = this.textTracks?.map((e) => e.toJson()).toList();
    if (this.client != null) data["client"] = this.client?.toJson();
    data["currency"] = this.currency;
    data["session"] = this.session;
    if (this.cookie != null) data["cookie"] = this.cookie?.toJson();
    if (this.build != null) data["build"] = this.build?.toJson();
    if (this.urls != null) data["urls"] = this.urls?.toJson();
    data["signature"] = this.signature;
    if (this.flags != null) data["flags"] = this.flags?.toJson();
    data["country"] = this.country;
    if (this.fileCodecs != null)
      data["file_codecs"] = this.fileCodecs?.toJson();
    if (this.abTests != null) data["ab_tests"] = this.abTests?.toJson();
    return data;
  }
}

class AbTests {
  Chromecast? chromecast;
  StatsFresnel? statsFresnel;
  LlhlsTimeout? llhlsTimeout;
  Cmcd? cmcd;

  AbTests({this.chromecast, this.statsFresnel, this.llhlsTimeout, this.cmcd});

  AbTests.fromJson(Map<String, dynamic> json) {
    if (json["chromecast"] is Map)
      this.chromecast = json["chromecast"] == null
          ? null
          : Chromecast.fromJson(json["chromecast"]);
    if (json["stats_fresnel"] is Map)
      this.statsFresnel = json["stats_fresnel"] == null
          ? null
          : StatsFresnel.fromJson(json["stats_fresnel"]);
    if (json["llhls_timeout"] is Map)
      this.llhlsTimeout = json["llhls_timeout"] == null
          ? null
          : LlhlsTimeout.fromJson(json["llhls_timeout"]);
    if (json["cmcd"] is Map)
      this.cmcd = json["cmcd"] == null ? null : Cmcd.fromJson(json["cmcd"]);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.chromecast != null) data["chromecast"] = this.chromecast?.toJson();
    if (this.statsFresnel != null)
      data["stats_fresnel"] = this.statsFresnel?.toJson();
    if (this.llhlsTimeout != null)
      data["llhls_timeout"] = this.llhlsTimeout?.toJson();
    if (this.cmcd != null) data["cmcd"] = this.cmcd?.toJson();
    return data;
  }
}

class Cmcd {
  bool? track;
  Data3? data;
  bool? group;

  Cmcd({this.track, this.data, this.group});

  Cmcd.fromJson(Map<String, dynamic> json) {
    if (json["track"] is bool) this.track = json["track"];
    if (json["data"] is Map)
      this.data = json["data"] == null ? null : Data3.fromJson(json["data"]);
    if (json["group"] is bool) this.group = json["group"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["track"] = this.track;
    if (this.data != null) data["data"] = this.data?.toJson();
    data["group"] = this.group;
    return data;
  }
}

class Data3 {
  Data3();

  Data3.fromJson(Map<String, dynamic> json) {}

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();

    return data;
  }
}

class LlhlsTimeout {
  bool? track;
  Data2? data;
  bool? group;

  LlhlsTimeout({this.track, this.data, this.group});

  LlhlsTimeout.fromJson(Map<String, dynamic> json) {
    if (json["track"] is bool) this.track = json["track"];
    if (json["data"] is Map)
      this.data = json["data"] == null ? null : Data2.fromJson(json["data"]);
    if (json["group"] is bool) this.group = json["group"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["track"] = this.track;
    if (this.data != null) data["data"] = this.data?.toJson();
    data["group"] = this.group;
    return data;
  }
}

class Data2 {
  Data2();

  Data2.fromJson(Map<String, dynamic> json) {}

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();

    return data;
  }
}

class StatsFresnel {
  bool? track;
  Data1? data;
  bool? group;

  StatsFresnel({this.track, this.data, this.group});

  StatsFresnel.fromJson(Map<String, dynamic> json) {
    if (json["track"] is bool) this.track = json["track"];
    if (json["data"] is Map)
      this.data = json["data"] == null ? null : Data1.fromJson(json["data"]);
    if (json["group"] is bool) this.group = json["group"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["track"] = this.track;
    if (this.data != null) data["data"] = this.data?.toJson();
    data["group"] = this.group;
    return data;
  }
}

class Data1 {
  Data1();

  Data1.fromJson(Map<String, dynamic> json) {}

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();

    return data;
  }
}

class Chromecast {
  bool? track;
  Data? data;
  bool? group;

  Chromecast({this.track, this.data, this.group});

  Chromecast.fromJson(Map<String, dynamic> json) {
    if (json["track"] is bool) this.track = json["track"];
    if (json["data"] is Map)
      this.data = json["data"] == null ? null : Data.fromJson(json["data"]);
    if (json["group"] is bool) this.group = json["group"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["track"] = this.track;
    if (this.data != null) data["data"] = this.data?.toJson();
    data["group"] = this.group;
    return data;
  }
}

class Data {
  Data();

  Data.fromJson(Map<String, dynamic> json) {}

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();

    return data;
  }
}

class FileCodecs {
  Hevc? hevc;
  List<String>? av1;
  List<String>? avc;

  FileCodecs({this.hevc, this.av1, this.avc});

  FileCodecs.fromJson(Map<String, dynamic> json) {
    if (json["hevc"] is Map)
      this.hevc = json["hevc"] == null ? null : Hevc.fromJson(json["hevc"]);
    if (json["av1"] is List)
      this.av1 = json["av1"] == null ? null : List<String>.from(json["av1"]);
    if (json["avc"] is List)
      this.avc = json["avc"] == null ? null : List<String>.from(json["avc"]);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.hevc != null) data["hevc"] = this.hevc?.toJson();
    if (this.av1 != null) data["av1"] = this.av1;
    if (this.avc != null) data["avc"] = this.avc;
    return data;
  }
}

class Hevc {
  List<dynamic>? hdr;
  List<dynamic>? sdr;
  List<dynamic>? dvh1;

  Hevc({this.hdr, this.sdr, this.dvh1});

  Hevc.fromJson(Map<String, dynamic> json) {
    if (json["hdr"] is List) this.hdr = json["hdr"] ?? [];
    if (json["sdr"] is List) this.sdr = json["sdr"] ?? [];
    if (json["dvh1"] is List) this.dvh1 = json["dvh1"] ?? [];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.hdr != null) data["hdr"] = this.hdr;
    if (this.sdr != null) data["sdr"] = this.sdr;
    if (this.dvh1 != null) data["dvh1"] = this.dvh1;
    return data;
  }
}

class Flags {
  int? dnt;
  String? preloadVideo;
  int? plays;
  int? partials;
  int? autohideControls;

  Flags(
      {this.dnt,
      this.preloadVideo,
      this.plays,
      this.partials,
      this.autohideControls});

  Flags.fromJson(Map<String, dynamic> json) {
    if (json["dnt"] is int) this.dnt = json["dnt"];
    if (json["preload_video"] is String)
      this.preloadVideo = json["preload_video"];
    if (json["plays"] is int) this.plays = json["plays"];
    if (json["partials"] is int) this.partials = json["partials"];
    if (json["autohide_controls"] is int)
      this.autohideControls = json["autohide_controls"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["dnt"] = this.dnt;
    data["preload_video"] = this.preloadVideo;
    data["plays"] = this.plays;
    data["partials"] = this.partials;
    data["autohide_controls"] = this.autohideControls;
    return data;
  }
}

class Urls {
  String? bareboneJs;
  String? testImp;
  String? jsBase;
  String? fresnel;
  String? js;
  String? proxy;
  String? muxUrl;
  String? fresnelMimirInputsUrl;
  String? fresnelChunkUrl;
  String? threeJs;
  String? vuidJs;
  String? fresnelManifestUrl;
  String? chromelessCss;
  String? playerTelemetryUrl;
  String? chromelessJs;
  String? css;

  Urls(
      {this.bareboneJs,
      this.testImp,
      this.jsBase,
      this.fresnel,
      this.js,
      this.proxy,
      this.muxUrl,
      this.fresnelMimirInputsUrl,
      this.fresnelChunkUrl,
      this.threeJs,
      this.vuidJs,
      this.fresnelManifestUrl,
      this.chromelessCss,
      this.playerTelemetryUrl,
      this.chromelessJs,
      this.css});

  Urls.fromJson(Map<String, dynamic> json) {
    if (json["barebone_js"] is String) this.bareboneJs = json["barebone_js"];
    if (json["test_imp"] is String) this.testImp = json["test_imp"];
    if (json["js_base"] is String) this.jsBase = json["js_base"];
    if (json["fresnel"] is String) this.fresnel = json["fresnel"];
    if (json["js"] is String) this.js = json["js"];
    if (json["proxy"] is String) this.proxy = json["proxy"];
    if (json["mux_url"] is String) this.muxUrl = json["mux_url"];
    if (json["fresnel_mimir_inputs_url"] is String)
      this.fresnelMimirInputsUrl = json["fresnel_mimir_inputs_url"];
    if (json["fresnel_chunk_url"] is String)
      this.fresnelChunkUrl = json["fresnel_chunk_url"];
    if (json["three_js"] is String) this.threeJs = json["three_js"];
    if (json["vuid_js"] is String) this.vuidJs = json["vuid_js"];
    if (json["fresnel_manifest_url"] is String)
      this.fresnelManifestUrl = json["fresnel_manifest_url"];
    if (json["chromeless_css"] is String)
      this.chromelessCss = json["chromeless_css"];
    if (json["player_telemetry_url"] is String)
      this.playerTelemetryUrl = json["player_telemetry_url"];
    if (json["chromeless_js"] is String)
      this.chromelessJs = json["chromeless_js"];
    if (json["css"] is String) this.css = json["css"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["barebone_js"] = this.bareboneJs;
    data["test_imp"] = this.testImp;
    data["js_base"] = this.jsBase;
    data["fresnel"] = this.fresnel;
    data["js"] = this.js;
    data["proxy"] = this.proxy;
    data["mux_url"] = this.muxUrl;
    data["fresnel_mimir_inputs_url"] = this.fresnelMimirInputsUrl;
    data["fresnel_chunk_url"] = this.fresnelChunkUrl;
    data["three_js"] = this.threeJs;
    data["vuid_js"] = this.vuidJs;
    data["fresnel_manifest_url"] = this.fresnelManifestUrl;
    data["chromeless_css"] = this.chromelessCss;
    data["player_telemetry_url"] = this.playerTelemetryUrl;
    data["chromeless_js"] = this.chromelessJs;
    data["css"] = this.css;
    return data;
  }
}

class Build {
  String? backend;
  String? js;

  Build({this.backend, this.js});

  Build.fromJson(Map<String, dynamic> json) {
    if (json["backend"] is String) this.backend = json["backend"];
    if (json["js"] is String) this.js = json["js"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["backend"] = this.backend;
    data["js"] = this.js;
    return data;
  }
}

class Cookie {
  int? volume;
  CaptionsStyles? captionsStyles;
  int? scaling;
  dynamic? captions;
  dynamic? quality;
  int? hd;

  Cookie(
      {this.volume,
      this.captionsStyles,
      this.scaling,
      this.captions,
      this.quality,
      this.hd});

  Cookie.fromJson(Map<String, dynamic> json) {
    if (json["volume"] is int) this.volume = json["volume"];
    if (json["captions_styles"] is Map)
      this.captionsStyles = json["captions_styles"] == null
          ? null
          : CaptionsStyles.fromJson(json["captions_styles"]);
    if (json["scaling"] is int) this.scaling = json["scaling"];
    this.captions = json["captions"];
    this.quality = json["quality"];
    if (json["hd"] is int) this.hd = json["hd"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["volume"] = this.volume;
    if (this.captionsStyles != null)
      data["captions_styles"] = this.captionsStyles?.toJson();
    data["scaling"] = this.scaling;
    data["captions"] = this.captions;
    data["quality"] = this.quality;
    data["hd"] = this.hd;
    return data;
  }
}

class CaptionsStyles {
  dynamic? fontFamily;
  dynamic? fontSize;
  dynamic? fontOpacity;
  dynamic? color;
  dynamic? windowColor;
  dynamic? edgeStyle;
  dynamic? bgColor;
  dynamic? windowOpacity;
  dynamic? bgOpacity;

  CaptionsStyles(
      {this.fontFamily,
      this.fontSize,
      this.fontOpacity,
      this.color,
      this.windowColor,
      this.edgeStyle,
      this.bgColor,
      this.windowOpacity,
      this.bgOpacity});

  CaptionsStyles.fromJson(Map<String, dynamic> json) {
    this.fontFamily = json["fontFamily"];
    this.fontSize = json["fontSize"];
    this.fontOpacity = json["fontOpacity"];
    this.color = json["color"];
    this.windowColor = json["windowColor"];
    this.edgeStyle = json["edgeStyle"];
    this.bgColor = json["bgColor"];
    this.windowOpacity = json["windowOpacity"];
    this.bgOpacity = json["bgOpacity"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["fontFamily"] = this.fontFamily;
    data["fontSize"] = this.fontSize;
    data["fontOpacity"] = this.fontOpacity;
    data["color"] = this.color;
    data["windowColor"] = this.windowColor;
    data["edgeStyle"] = this.edgeStyle;
    data["bgColor"] = this.bgColor;
    data["windowOpacity"] = this.windowOpacity;
    data["bgOpacity"] = this.bgOpacity;
    return data;
  }
}

class Client {
  String? ip;

  Client({this.ip});

  Client.fromJson(Map<String, dynamic> json) {
    if (json["ip"] is String) this.ip = json["ip"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["ip"] = this.ip;
    return data;
  }
}

class TextTracks {
  String? lang;
  String? url;
  String? kind;
  int? id;
  String? label;

  TextTracks({this.lang, this.url, this.kind, this.id, this.label});

  TextTracks.fromJson(Map<String, dynamic> json) {
    if (json["lang"] is String) this.lang = json["lang"];
    if (json["url"] is String) this.url = json["url"];
    if (json["kind"] is String) this.kind = json["kind"];
    if (json["id"] is int) this.id = json["id"];
    if (json["label"] is String) this.label = json["label"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["lang"] = this.lang;
    data["url"] = this.url;
    data["kind"] = this.kind;
    data["id"] = this.id;
    data["label"] = this.label;
    return data;
  }
}

class GcDebug {
  String? bucket;

  GcDebug({this.bucket});

  GcDebug.fromJson(Map<String, dynamic> json) {
    if (json["bucket"] is String) this.bucket = json["bucket"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["bucket"] = this.bucket;
    return data;
  }
}

class ThumbPreview {
  String? url;
  int? frameWidth;
  int? height;
  int? width;
  int? frameHeight;
  int? frames;
  int? columns;

  ThumbPreview(
      {this.url,
      this.frameWidth,
      this.height,
      this.width,
      this.frameHeight,
      this.frames,
      this.columns});

  ThumbPreview.fromJson(Map<String, dynamic> json) {
    if (json["url"] is String) this.url = json["url"];
    if (json["frame_width"] is int) this.frameWidth = json["frame_width"];
    if (json["height"] is int) this.height = json["height"];
    if (json["width"] is int) this.width = json["width"];
    if (json["frame_height"] is int) this.frameHeight = json["frame_height"];
    if (json["frames"] is int) this.frames = json["frames"];
    if (json["columns"] is int) this.columns = json["columns"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["url"] = this.url;
    data["frame_width"] = this.frameWidth;
    data["height"] = this.height;
    data["width"] = this.width;
    data["frame_height"] = this.frameHeight;
    data["frames"] = this.frames;
    data["columns"] = this.columns;
    return data;
  }
}

class Sentry {
  String? url;
  bool? enabled;
  bool? debugEnabled;
  int? debugIntent;

  Sentry({this.url, this.enabled, this.debugEnabled, this.debugIntent});

  Sentry.fromJson(Map<String, dynamic> json) {
    if (json["url"] is String) this.url = json["url"];
    if (json["enabled"] is bool) this.enabled = json["enabled"];
    if (json["debug_enabled"] is bool)
      this.debugEnabled = json["debug_enabled"];
    if (json["debug_intent"] is int) this.debugIntent = json["debug_intent"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["url"] = this.url;
    data["enabled"] = this.enabled;
    data["debug_enabled"] = this.debugEnabled;
    data["debug_intent"] = this.debugIntent;
    return data;
  }
}

class Files {
  Dash? dash;
  Hls? hls;
  List<Progressive>? progressive;

  Files({this.dash, this.hls, this.progressive});

  Files.fromJson(Map<String, dynamic> json) {
    if (json["dash"] is Map)
      this.dash = json["dash"] == null ? null : Dash.fromJson(json["dash"]);
    if (json["hls"] is Map)
      this.hls = json["hls"] == null ? null : Hls.fromJson(json["hls"]);
    if (json["progressive"] is List)
      this.progressive = json["progressive"] == null
          ? null
          : (json["progressive"] as List)
              .map((e) => Progressive.fromJson(e))
              .toList();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.dash != null) data["dash"] = this.dash?.toJson();
    if (this.hls != null) data["hls"] = this.hls?.toJson();
    if (this.progressive != null)
      data["progressive"] = this.progressive?.map((e) => e.toJson()).toList();
    return data;
  }
}

class Progressive {
  String? profile;
  int? width;
  String? mime;
  int? fps;
  String? url;
  String? cdn;
  String? quality;
  String? id;
  String? origin;
  int? height;

  Progressive(
      {this.profile,
      this.width,
      this.mime,
      this.fps,
      this.url,
      this.cdn,
      this.quality,
      this.id,
      this.origin,
      this.height});

  Progressive.fromJson(Map<String, dynamic> json) {
    if (json["profile"] is String) this.profile = json["profile"];
    if (json["width"] is int) this.width = json["width"];
    if (json["mime"] is String) this.mime = json["mime"];
    if (json["fps"] is int) this.fps = json["fps"];
    if (json["url"] is String) this.url = json["url"];
    if (json["cdn"] is String) this.cdn = json["cdn"];
    if (json["quality"] is String) this.quality = json["quality"];
    if (json["id"] is String) this.id = json["id"];
    if (json["origin"] is String) this.origin = json["origin"];
    if (json["height"] is int) this.height = json["height"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["profile"] = this.profile;
    data["width"] = this.width;
    data["mime"] = this.mime;
    data["fps"] = this.fps;
    data["url"] = this.url;
    data["cdn"] = this.cdn;
    data["quality"] = this.quality;
    data["id"] = this.id;
    data["origin"] = this.origin;
    data["height"] = this.height;
    return data;
  }
}

class Hls {
  bool? separateAv;
  String? defaultCdn;
  Cdns1? cdns;
  String? captions;

  Hls({this.separateAv, this.defaultCdn, this.cdns, this.captions});

  Hls.fromJson(Map<String, dynamic> json) {
    if (json["separate_av"] is bool) this.separateAv = json["separate_av"];
    if (json["default_cdn"] is String) this.defaultCdn = json["default_cdn"];
    if (json["cdns"] is Map)
      this.cdns = json["cdns"] == null ? null : Cdns1.fromJson(json["cdns"]);
    if (json["captions"] is String) this.captions = json["captions"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["separate_av"] = this.separateAv;
    data["default_cdn"] = this.defaultCdn;
    if (this.cdns != null) data["cdns"] = this.cdns?.toJson();
    data["captions"] = this.captions;
    return data;
  }
}

class Cdns1 {
  AkfireInterconnectQuic1? akfireInterconnectQuic;
  FastlySkyfire1? fastlySkyfire;

  Cdns1({this.akfireInterconnectQuic, this.fastlySkyfire});

  Cdns1.fromJson(Map<String, dynamic> json) {
    if (json["akfire_interconnect_quic"] is Map)
      this.akfireInterconnectQuic = json["akfire_interconnect_quic"] == null
          ? null
          : AkfireInterconnectQuic1.fromJson(json["akfire_interconnect_quic"]);
    if (json["fastly_skyfire"] is Map)
      this.fastlySkyfire = json["fastly_skyfire"] == null
          ? null
          : FastlySkyfire1.fromJson(json["fastly_skyfire"]);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.akfireInterconnectQuic != null)
      data["akfire_interconnect_quic"] = this.akfireInterconnectQuic?.toJson();
    if (this.fastlySkyfire != null)
      data["fastly_skyfire"] = this.fastlySkyfire?.toJson();
    return data;
  }
}

class FastlySkyfire1 {
  String? url;
  String? origin;
  String? av1Url;
  String? captions;
  String? avcUrl;

  FastlySkyfire1(
      {this.url, this.origin, this.av1Url, this.captions, this.avcUrl});

  FastlySkyfire1.fromJson(Map<String, dynamic> json) {
    if (json["url"] is String) this.url = json["url"];
    if (json["origin"] is String) this.origin = json["origin"];
    if (json["av1_url"] is String) this.av1Url = json["av1_url"];
    if (json["captions"] is String) this.captions = json["captions"];
    if (json["avc_url"] is String) this.avcUrl = json["avc_url"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["url"] = this.url;
    data["origin"] = this.origin;
    data["av1_url"] = this.av1Url;
    data["captions"] = this.captions;
    data["avc_url"] = this.avcUrl;
    return data;
  }
}

class AkfireInterconnectQuic1 {
  String? url;
  String? origin;
  String? av1Url;
  String? captions;
  String? avcUrl;

  AkfireInterconnectQuic1(
      {this.url, this.origin, this.av1Url, this.captions, this.avcUrl});

  AkfireInterconnectQuic1.fromJson(Map<String, dynamic> json) {
    if (json["url"] is String) this.url = json["url"];
    if (json["origin"] is String) this.origin = json["origin"];
    if (json["av1_url"] is String) this.av1Url = json["av1_url"];
    if (json["captions"] is String) this.captions = json["captions"];
    if (json["avc_url"] is String) this.avcUrl = json["avc_url"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["url"] = this.url;
    data["origin"] = this.origin;
    data["av1_url"] = this.av1Url;
    data["captions"] = this.captions;
    data["avc_url"] = this.avcUrl;
    return data;
  }
}

class Dash {
  List<StreamsAvc>? streamsAvc;
  Cdns? cdns;
  List<Streams>? streams;
  List<StreamsAv1>? streamsAv1;
  bool? separateAv;
  String? defaultCdn;

  Dash(
      {this.streamsAvc,
      this.cdns,
      this.streams,
      this.streamsAv1,
      this.separateAv,
      this.defaultCdn});

  Dash.fromJson(Map<String, dynamic> json) {
    if (json["streams_avc"] is List)
      this.streamsAvc = json["streams_avc"] == null
          ? null
          : (json["streams_avc"] as List)
              .map((e) => StreamsAvc.fromJson(e))
              .toList();
    if (json["cdns"] is Map)
      this.cdns = json["cdns"] == null ? null : Cdns.fromJson(json["cdns"]);
    if (json["streams"] is List)
      this.streams = json["streams"] == null
          ? null
          : (json["streams"] as List).map((e) => Streams.fromJson(e)).toList();
    if (json["streams_av1"] is List)
      this.streamsAv1 = json["streams_av1"] == null
          ? null
          : (json["streams_av1"] as List)
              .map((e) => StreamsAv1.fromJson(e))
              .toList();
    if (json["separate_av"] is bool) this.separateAv = json["separate_av"];
    if (json["default_cdn"] is String) this.defaultCdn = json["default_cdn"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.streamsAvc != null)
      data["streams_avc"] = this.streamsAvc?.map((e) => e.toJson()).toList();
    if (this.cdns != null) data["cdns"] = this.cdns?.toJson();
    if (this.streams != null)
      data["streams"] = this.streams?.map((e) => e.toJson()).toList();
    if (this.streamsAv1 != null)
      data["streams_av1"] = this.streamsAv1?.map((e) => e.toJson()).toList();
    data["separate_av"] = this.separateAv;
    data["default_cdn"] = this.defaultCdn;
    return data;
  }
}

class StreamsAv1 {
  int? profile;
  String? quality;
  String? id;
  int? fps;

  StreamsAv1({this.profile, this.quality, this.id, this.fps});

  StreamsAv1.fromJson(Map<String, dynamic> json) {
    if (json["profile"] is int) this.profile = json["profile"];
    if (json["quality"] is String) this.quality = json["quality"];
    if (json["id"] is String) this.id = json["id"];
    if (json["fps"] is int) this.fps = json["fps"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["profile"] = this.profile;
    data["quality"] = this.quality;
    data["id"] = this.id;
    data["fps"] = this.fps;
    return data;
  }
}

class Streams {
  String? profile;
  String? quality;
  String? id;
  int? fps;

  Streams({this.profile, this.quality, this.id, this.fps});

  Streams.fromJson(Map<String, dynamic> json) {
    if (json["profile"] is String) this.profile = json["profile"];
    if (json["quality"] is String) this.quality = json["quality"];
    if (json["id"] is String) this.id = json["id"];
    if (json["fps"] is int) this.fps = json["fps"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["profile"] = this.profile;
    data["quality"] = this.quality;
    data["id"] = this.id;
    data["fps"] = this.fps;
    return data;
  }
}

class Cdns {
  AkfireInterconnectQuic? akfireInterconnectQuic;
  FastlySkyfire? fastlySkyfire;

  Cdns({this.akfireInterconnectQuic, this.fastlySkyfire});

  Cdns.fromJson(Map<String, dynamic> json) {
    if (json["akfire_interconnect_quic"] is Map)
      this.akfireInterconnectQuic = json["akfire_interconnect_quic"] == null
          ? null
          : AkfireInterconnectQuic.fromJson(json["akfire_interconnect_quic"]);
    if (json["fastly_skyfire"] is Map)
      this.fastlySkyfire = json["fastly_skyfire"] == null
          ? null
          : FastlySkyfire.fromJson(json["fastly_skyfire"]);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.akfireInterconnectQuic != null)
      data["akfire_interconnect_quic"] = this.akfireInterconnectQuic?.toJson();
    if (this.fastlySkyfire != null)
      data["fastly_skyfire"] = this.fastlySkyfire?.toJson();
    return data;
  }
}

class FastlySkyfire {
  String? url;
  String? origin;
  String? av1Url;
  String? avcUrl;

  FastlySkyfire({this.url, this.origin, this.av1Url, this.avcUrl});

  FastlySkyfire.fromJson(Map<String, dynamic> json) {
    if (json["url"] is String) this.url = json["url"];
    if (json["origin"] is String) this.origin = json["origin"];
    if (json["av1_url"] is String) this.av1Url = json["av1_url"];
    if (json["avc_url"] is String) this.avcUrl = json["avc_url"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["url"] = this.url;
    data["origin"] = this.origin;
    data["av1_url"] = this.av1Url;
    data["avc_url"] = this.avcUrl;
    return data;
  }
}

class AkfireInterconnectQuic {
  String? url;
  String? origin;
  String? av1Url;
  String? avcUrl;

  AkfireInterconnectQuic({this.url, this.origin, this.av1Url, this.avcUrl});

  AkfireInterconnectQuic.fromJson(Map<String, dynamic> json) {
    if (json["url"] is String) this.url = json["url"];
    if (json["origin"] is String) this.origin = json["origin"];
    if (json["av1_url"] is String) this.av1Url = json["av1_url"];
    if (json["avc_url"] is String) this.avcUrl = json["avc_url"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["url"] = this.url;
    data["origin"] = this.origin;
    data["av1_url"] = this.av1Url;
    data["avc_url"] = this.avcUrl;
    return data;
  }
}

class StreamsAvc {
  String? profile;
  String? quality;
  String? id;
  int? fps;

  StreamsAvc({this.profile, this.quality, this.id, this.fps});

  StreamsAvc.fromJson(Map<String, dynamic> json) {
    if (json["profile"] is String) this.profile = json["profile"];
    if (json["quality"] is String) this.quality = json["quality"];
    if (json["id"] is String) this.id = json["id"];
    if (json["fps"] is int) this.fps = json["fps"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["profile"] = this.profile;
    data["quality"] = this.quality;
    data["id"] = this.id;
    data["fps"] = this.fps;
    return data;
  }
}
