import '../resources.dart';

class PlaylistRepo {
  PlaylistRepo._();

  static PlaylistRepo? _instance;

  factory PlaylistRepo([AppApi? api]) {
    _instance ??= PlaylistRepo._();
    _instance!._api = api ?? AppApiImp();
    return _instance!;
  }

  late AppApi _api;

  Future<List<PlaylistModel>> v2_getPlaylistFromPro(params) async {
    NetworkResponse response = await _api.v2_getPlaylistFromPro(params);
    return response.data ?? {};
  }

  Future<PlaylistModel?> v2_createPlaylistFromPro(params) async {
    NetworkResponse response = await _api.v2_createPlaylistFromPro(params);
    return response.data;
  }

  Future<bool> v2_deletePlaylistFromPro(params) async {
    NetworkResponse response = await _api.v2_deletePlaylistFromPro(params);
    return response.data ?? false;
  }

  Future<List<PlaylistItemModel>> v2_getItemContentFromPlaylist(params) async {
    NetworkResponse response = await _api.v2_getItemContentFromPlaylist(params);
    return response.data ?? [];
  }

  Future<PlaylistItemModel?> v2_addItemToPlaylist(params) async {
    NetworkResponse response = await _api.v2_addItemToPlaylist(params);
    return response.data;
  }

  Future<bool> v2_removeItemFromPlaylist(params) async {
    NetworkResponse response = await _api.v2_removeItemFromPlaylist(params);
    return response.data ?? false;
  }

  Future<bool> v2_linkPlaylistToTerminalForPro(params) async {
    NetworkResponse response =
        await _api.v2_linkPlaylistToTerminalForPro(params);
    return response.data ?? false;
  }

  Future<bool> v2_addScheduleForPlaylist(params) async {
    NetworkResponse response = await _api.v2_addScheduleForPlaylist(params);
    return response.data ?? false;
  }

  Future<bool> v2_updateScheduleForPlaylist(params) async {
    NetworkResponse response = await _api.v2_updateScheduleForPlaylist(params);
    return response.data ?? false;
  }

  Future<bool> v2_removeScheduleForPlaylist(params) async {
    NetworkResponse response = await _api.v2_removeScheduleForPlaylist(params);
    return response.data ?? false;
  }

  Future<bool> v2_updateOrderItemsFromPlaylist(params) async {
    NetworkResponse response =
        await _api.v2_updateOrderItemsFromPlaylist(params);
    return response.data ?? false;
  }

  Future<List<PlaylistModel>> v2_getPlaylistsFromTerminal(params) async {
    NetworkResponse r = await _api.v2_getPlaylistsFromTerminal(params);
    return r.data ?? [];
  }

  Future<List<HomelidoPropertyInfo>> getPropertiesDetailsByList(
      propertyIds) async {
    NetworkResponse r =
        await _api.getPropertiesDetailsByList({'propertyIds': propertyIds});
    return r.data ?? [];
  }
}
